Skip to content

Retrieve an Order

GET /api/v1.0/orders/{id}

Get an Order by Id

Path Parameters

id integer required

Request Headers

X-Thredup-Access-Token string required

Authentication token

Responses

Attributes of a single order

Returns a OrderGetResponse object.

Example Response Body
{
  "id": 123456,
  "state": "paid",
  "customer": {
    "email": "[email protected]",
    "phone_number": "4155551234"
  },
  "amount": 122624,
  "created_at": "2026-03-14T09:15:00Z",
  "updated_at": "2026-03-14T14:30:00Z",
  "purchased_at": "2026-03-14T09:15:00Z",
  "shipping_address": {
    "line1": "456 Market Street",
    "line2": "Suite 200",
    "city": "San Francisco",
    "state": "CA",
    "zip5": "94103",
    "name": "Jane Doe"
  },
  "order_payments": [
    {
      "id": 789012,
      "total_collected": 122624,
      "transaction_type": "purchase"
    }
  ],
  "order_lines": [
    {
      "id": 345679,
      "item_number": null,
      "listed_item_price": 0,
      "amount": 0,
      "net": 0,
      "discount": 0,
      "allowed_discount": {
        "max_discount": {
          "percentage": 0
        }
      },
      "tax": 0,
      "estimated_payout": 0,
      "is_shipping_fee": true,
      "shipment_id": null,
      "external_id": null,
      "mpn": null
    },
    {
      "id": 345678,
      "item_number": "1234567890",
      "listed_item_price": 124999,
      "amount": 122624,
      "net": 112499,
      "discount": 12500,
      "allowed_discount": {
        "max_discount": {
          "percentage": 10
        }
      },
      "tax": 10125,
      "estimated_payout": 78749,
      "is_shipping_fee": false,
      "shipment_id": 901234,
      "external_id": "LUX-LVTM-NF-12345",
      "mpn": "M40049"
    }
  ],
  "shipments": [
    {
      "id": 901234,
      "state": "shipped",
      "carrier": "USPS",
      "tracking_number": "9400111899562123456789",
      "tracking_url": "https://tools.usps.com/go/TrackConfirmAction?tLabels=9400111899562123456789",
      "warehouse_id": 10053,
      "packed_at": "2026-03-14T10:00:00Z",
      "shipped_at": "2026-03-14T14:30:00Z",
      "expected_to_deliver_at": "2026-03-18T17:00:00Z",
      "delivered_at": null,
      "canceled_at": null
    }
  ],
  "refunds": [],
  "cancelation_reason": null
}

Unauthorized

No response body

This endpoint returns no response body for current status code.

Not Found

No response body

This endpoint returns no response body for current status code.